MaterialSupportMacros
{
	string _USING_SHADE
	<
	type = ART,
	desc = 扣图操作,
	groupID = 1
	>;
}
MaterialProperties
{
	AlphaType = Opaque
	ShadingType = DefaultLit
	CastShadow = 1
	LightingEnabled = 1
	Sort = XPLM_ERR
	Pass
	{
		SrcColorBlend = One
		DestColorBlend = Zero
		SrcAlphaBlend = One
		DestAlphaBlend = Zero
		VertexShader = lookup_vs
		PixelShader = lookup_ps
		ShaderMacro = ""
		VSEntry = main
		PSEntry = main
		WriteDepth = 0
		TestDepth = 0
		ZTestFunc = LEqual
		CullMode = Off
		WhetherClearColor = 1
		ClearColor = (0.000000,0.000000,0.000000,1.000000)
		Input = InputTextureSampler @Point @ClampU @ClampV
		Output = OutputRenderTarget
	}
}
MaterialParameters
{
	float2 ViewportSize
	<
		name = "Viewport Size"
		widget = "input2"
		min = 0.000000
		max = 0.000000
		step = 0.000000
	> = (0.000000,0.000000)
	float TimeElapse
	<
		name = "TimeElapse"
		widget = "slider"
		min = 0.000000
		max = 1.000000
		step = 0.010000
	> = 0.600000

}
MaterialUserParameters
{
	texture2D LookupTexSampler @WrapU @WrapV @WrapW @Trilinear
	<
		name = "Lookup Texture"
		widget = "texture"
		min = 0.000000
		max = 0.000000
		step = 0.000000
	> = ""

	float intensity
	<
		name = "intensity"
		widget = "slider"
		min = 0.000000
		max = 1.000000
		step = 0.010000
	> = 0.600000

	float showOrigin
	<
		name = "Show Origin"
		widget = "slider"
		min = 0.000000
		max = 1.000000
		step = 1.000000
	> = 0.000000
}
